## org.apache.fop.pdf
Class PDFLink

    java.lang.Object
      |
      +--org.apache.fop.pdf.PDFObject
            |
            +--org.apache.fop.pdf.PDFLink

public class PDFLink
extends PDFObject

class representing an /Annot object of /Subtype /Link

Fields inherited from class org.apache.fop.pdf.PDFObject
`generation, number`

Constructor Summary
`PDFLink(int number, java.awt.Rectangle r)` create objects associated with a link annotation (GoToR)

Method Summary
`void` `setAction(PDFAction action)`
`byte[]` `toPDF()` produce the PDF representation of the object

Methods inherited from class org.apache.fop.pdf.PDFObject
`getNumber, output, referencePDF`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PDFLink

    public PDFLink(int number,
                   java.awt.Rectangle r)

  create objects associated with a link annotation (GoToR)
  Parameters:
    `number` - the object's number
    `producer` - the application producing the PDF

Method Detail

### setAction

    public void setAction(PDFAction action)

### toPDF

    public byte[] toPDF()

  produce the PDF representation of the object
  Returns:
    the PDF

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.